
From: Andrew Morton <akpm@osdl.org>

That ?: trick gives us the creeps.

Cc: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/deadline-iosched.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN drivers/block/deadline-iosched.c~deadline-cleanup-question-mark-operator drivers/block/deadline-iosched.c
--- devel/drivers/block/deadline-iosched.c~deadline-cleanup-question-mark-operator	2005-09-08 00:25:30.000000000 -0700
+++ devel-akpm/drivers/block/deadline-iosched.c	2005-09-08 00:26:03.000000000 -0700
@@ -512,7 +512,10 @@ static int deadline_dispatch_requests(st
 	/*
 	 * batches are currently reads XOR writes
 	 */
-	drq = dd->next_drq[WRITE] ? : dd->next_drq[READ];
+	if (dd->next_drq[WRITE])
+		drq = dd->next_drq[WRITE];
+	else
+		drq = dd->next_drq[READ];
 
 	if (drq) {
 		/* we have a "next request" */
_
